Skip to content

Get the list of Webhook events

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Returns event list and category list

Method name

ManagementClient.get_webhook_event_list

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request response

Type: WebhookEventListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a WebhookEventListDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "categories": {
      "name": "User",
      "nameEn": "User",
      "value": "user"
    },
    "events": {
      "name": "Create User",
      "nameEn": "Create User",
      "value": "user:created",
      "category": "user"
    }
  }
}

Data structure

WebhookEventListData

NameTypeIs it requiredDescriptionSample value
categoriesarrayYesCategory list Nested type: <a WebhookCategoryDto.
eventsarrayYesEvent list Nested type: <a WebhookEventDto.

WebhookCategoryDto

NameTypeIs it required?DescriptionSample value
namestringYesWebhook type nameUser
nameEnstringYesWebhook type English nameUser
valuestringYesWebhook typeuser

WebhookEventDto

NameTypeIs it required?DescriptionExample value
namestringyesWebhook nameCreate User
nameEnstringyesWebhook English nameCreate User
valuestringyesWebhook eventuser:created
categorystringyesWebhook event categoryuser

Agent infrastructure for identity, memory, and web action.